/*
 *  tool_pragmas.h version 7.6 -  Copyright 1990 Jaba Development
 *
 *  Author : Jan van den Baard
 *
 *  Aztec C v5.0a tool.library pragmas for inline calls.
 */

#ifndef TOOL_PRAGMAS_H
#define TOOL_PRAGMAS_H

#ifndef TOOL_H
#include <tool.h>
#endif

#pragma amicall(ToolBase, 0x1e, CreatePort(a0,d0))
#pragma amicall(ToolBase, 0x24, DeletePort(a0))
#pragma amicall(ToolBase, 0x2a, CreateExtIO(a0,d0))
#pragma amicall(ToolBase, 0x30, DeleteExtIO(a0))
#pragma amicall(ToolBase, 0x36, CreateStdIO(a0))
#pragma amicall(ToolBase, 0x3c, DeleteStdIO(a0))
#pragma amicall(ToolBase, 0x42, CreateTimeDelay(a0,d0,d1))
#pragma amicall(ToolBase, 0x48, DoTimeDelay(a0))
#pragma amicall(ToolBase, 0x4e, DeleteTimeDelay(a0))
#pragma amicall(ToolBase, 0x54, QuickSort(a0,d0,d1,a1))
#pragma amicall(ToolBase, 0x5a, SwapMem(a0,a1,d1))
#pragma amicall(ToolBase, 0x60, TestBits(d0,d1))
#pragma amicall(ToolBase, 0x66, SelectGadget(a0,a1,a2))
#pragma amicall(ToolBase, 0x6c, DeSelectGadget(a0,a1,a2))
#pragma amicall(ToolBase, 0x72, MutualExclude(a0,a1,a2,a3))
#pragma amicall(ToolBase, 0x78, MutualInclude(a0,a1,a2,a3))
#pragma amicall(ToolBase, 0x7e, EraseGadget(a0,a1,a2))
#pragma amicall(ToolBase, 0x84, GadgetOn(a0,a1,a2))
#pragma amicall(ToolBase, 0x8a, GadgetOff(a0,a1,a2))
#pragma amicall(ToolBase, 0x90, SelectTest(a0))
#pragma amicall(ToolBase, 0x96, ShadowGadget(a0,a1,a2,d0))
#pragma amicall(ToolBase, 0x9c, OnGList(a0,a1,a2,d0))
#pragma amicall(ToolBase, 0xa2, OffGList(a0,a1,a2,d0))
#pragma amicall(ToolBase, 0xa8, SelectGList(a0,a1,a2,d0))
#pragma amicall(ToolBase, 0xae, DeSelectGList(a0,a1,a2,d0))
#pragma amicall(ToolBase, 0xb4, ShadowGList(a0,a1,a2,d0,d1))
#pragma amicall(ToolBase, 0xba, EraseGList(a0,a1,a2,d0))
#pragma amicall(ToolBase, 0xc0, InitMemoryChain(a0,d0))
#pragma amicall(ToolBase, 0xc6, AllocItem(a0,d0,d1))
#pragma amicall(ToolBase, 0xcc, FreeItem(a0,a1,d0))
#pragma amicall(ToolBase, 0xd2, FreeMemoryChain(a0))
/*----------------------------------------------------------------*
 * These two are only available through the linker library !      *
 *                                                                *
 * #pragma amicall(ToolBase, 0xd8, Format(a0,a1,a2))              *
 * #pragma amicall(ToolBase, 0xde, WriteFormat(a0,a1,a2))         *
 *----------------------------------------------------------------*/
#pragma amicall(ToolBase, 0xe4, MatchPattern(a0,a1,d0))
#pragma amicall(ToolBase, 0xea, Isolate(a0,a1))
#pragma amicall(ToolBase, 0xf0, BstrToCstr(a0,a1))
#pragma amicall(ToolBase, 0xf6, GetDate(a0,a1,d0))
#pragma amicall(ToolBase, 0xfc, OpenDir(a0,a1))
#pragma amicall(ToolBase, 0x102, GetEntry(a0))
#pragma amicall(ToolBase, 0x108, CloseDir(a0))
#pragma amicall(ToolBase, 0x10e, FreeDir(a0))
#pragma amicall(ToolBase, 0x114, IoErrToStr())
#pragma amicall(ToolBase, 0x11a, AllocFreq())
#pragma amicall(ToolBase, 0x120, FreeFreq(a0))
#pragma amicall(ToolBase, 0x126, FileRequest(a0))

#endif

